Search Player Moderations
Returns a list of all player moderations made by you.
This endpoint does not have pagination, and will return all results. Use query parameters to limit your query if needed.
Authorization
authCookie Auth Token via Cookie
In: cookie
Query Parameters
Must be one of PlayerModerationType.
"unmute""block" | "hideAvatar" | "interactOff" | "interactOn" | "mute" | "muteChat" | "showAvatar" | "unmute" | "unmuteChat"Must be valid UserID.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/auth/user/playermoderations"[
{
"created": "2019-08-24T14:15:22Z",
"id": "pmod_25551a8d-6f5d-430a-88d3-9c0ce08b5244",
"sourceDisplayName": "string",
"sourceUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"targetDisplayName": "string",
"targetUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"type": "unmute"
}
]{
"error": {
"message": "imageUrl must be a URL˸ 'string'‚ assetUrl must be a URL˸ 'string'",
"status_code": 400
}
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}Create User Moderation POST
With `type` `kick`, bans the user in the path from the instance given by `worldId` and `instanceId`. The user is not removed from the instance, but cannot join it again, even by invite.
Moderate User POST
Moderate a user, e.g. unmute them or show their avatar. Please see the [Player Moderation docs](https://vrchatapi.github.io/docs/api/#tag--playermoderation) on what playerModerations are, and how they differ from staff moderations.